./devel/py-at-spi2, Python Assistive Technology Service Provider Interface

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 2.33.2, Package name: py37-at-spi2-2.33.2, Maintainer: prlw1

Python client library for the AT-SPI D-Bus accessibility infrastructure.


Required to run:
[devel/glib2] [devel/at-spi2-core] [devel/at-spi2-atk] [devel/py-gobject3] [lang/python37]

Required to build:
[devel/py-gobject3-common] [pkgtools/cwrappers]

Master sites: (Expand)

SHA1: 88c4e4f884e2c51881299f5a5eab3e0e6bf4d415
RMD160: 67646ff46e27fd4db75f696749679903e786795d
Filesize: 303.902 KB

Version history: (Expand)


CVS history: (Expand)


   2019-07-18 17:16:46 by Patrick Welche | Files touched by this commit (2) | Package updated
Log message:
Update py-at-spi2 to 2.33.2

Unstable branch chosen for:
* Add support for ROLE_CONTENT_DELETION and ROLE_CONTENT_INSERTION.

ChangeLog:
* Fix arguments in text.addSelection.
* Fix default kind value for registerKeystrokeListener.
* Document that extents are only meaningful when the accessible is both
  visible and showing.
* Add accessibleId property.
* Add text.notifyReadingPosition.
* Fix print usage in example, for python 3 compatibility.

What's new in pyatspi 2.31.2:
* Add ScrollSubstringTo and ScrollSubstringToPoint text interfaces.

What's new in pyatspi 2.31.1:
* Add support for locking/unlocking modifiers.

What's new in pyatspi 2.29.1:
* Add ScrollTo and ScrollToPoint component interfaces.

What's new in pyatspi 2.25.90:
* registry: Rename async keyword for compatibility with Python 3.7.
* Add missing XY_PARENT export.

What's new in pyatspi 2.25.3:
* Add error-message, error-for, details, and details-for relation types

What's new in pyatspi 2.25.2:
* Add some missing roles to correspond with atk (description list,
  description term, description value, and footnote).
   2018-10-22 18:13:16 by Jonathan Perkin | Files touched by this commit (1)
Log message:
py-at-spi2: Add missing dependencies.
   2018-04-14 14:24:32 by Adam Ciarcinski | Files touched by this commit (12)
Log message:
gobject3: buildlink3 -> DEPENDS
   2017-08-25 14:33:55 by Patrick Welche | Files touched by this commit (2) | Package updated
Log message:
Update py-at-spi2 to 2.24.0

What's new in pyatspi 2.24.0:

* Fix an invalid escape sequence.
* Rename enum class to atspienum to avoid name conflict; fixes build with
  python 3.6.
   2017-01-25 17:37:57 by Patrick Welche | Files touched by this commit (3) | Package updated
Log message:
Update py-at-spi2 to 2.20.3

What's new in pyatspi 2.20.3:

* Rename enum module and Enum class not to conflict with stdlib (needed
  for python 3.6).

Might fix clang build too!
   2016-06-19 17:55:00 by Patrick Welche | Files touched by this commit (2) | Package updated
Log message:
Update py-at-spi2 to 2.20.2

What's new in pyatspi 2.20.2:

* Update STATE_LAST_DEFINED so that STATE_READ_ONLY is recognized
  (bgo#766121).

What's new in pyatspi 2.20.1:

* gettext: Don't modify endOffset (bgo#721860).
   2016-04-10 21:08:00 by Patrick Welche | Files touched by this commit (2) | Package updated
Log message:
Update py-at-spi2 to 2.20.0

* Call gi.require_version() before import
* Fix text.getDefaultAttributeSet (bgo#752928).
   2015-11-03 04:29:40 by Alistair G. Crooks | Files touched by this commit (1995)
Log message:
Add SHA512 digests for distfiles for devel category

Issues found with existing distfiles:
	distfiles/eclipse-sourceBuild-srcIncluded-3.0.1.zip
	distfiles/fortran-utils-1.1.tar.gz
	distfiles/ivykis-0.39.tar.gz
	distfiles/enum-1.11.tar.gz
	distfiles/pvs-3.2-libraries.tgz
	distfiles/pvs-3.2-linux.tgz
	distfiles/pvs-3.2-solaris.tgz
	distfiles/pvs-3.2-system.tgz
No changes made to these distinfo files.

Otherwise, existing SHA1 digests verified and found to be the same on
the machine holding the existing distfiles (morden).  All existing
SHA1 digests retained for now as an audit trail.